Index: LMDZ5/branches/testing/libf/phylmd/phys_output_var_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_output_var_mod.F90	(revision 1796)
+++ LMDZ5/branches/testing/libf/phylmd/phys_output_var_mod.F90	(revision 1864)
@@ -25,5 +25,5 @@
 
 ! ug Plein de variables venues de phys_output_mod
-      INTEGER, PARAMETER                           :: nfiles = 6
+      INTEGER, PARAMETER                           :: nfiles = 9
       LOGICAL, DIMENSION(nfiles), SAVE             :: clef_files
       LOGICAL, DIMENSION(nfiles), SAVE             :: clef_stations
@@ -41,4 +41,6 @@
       CHARACTER(LEN=20), DIMENSION(nfiles), SAVE  :: type_ecri_files, phys_out_filetypes
 !$OMP THREADPRIVATE(type_ecri_files, phys_out_filetypes)
+    CHARACTER(LEN=20), DIMENSION(nfiles), SAVE  :: phys_out_filenames
+!$OMP THREADPRIVATE(phys_out_filenames)
 
  ! swaero_diag : flag indicates if it is necessary to do calculation for some aerosol diagnostics
@@ -49,4 +51,9 @@
       INTEGER, SAVE:: levmax(nfiles)
 !$OMP THREADPRIVATE(levmin, levmax)
+
+      REAL, SAVE                :: zdtime_moy
+!$OMP THREADPRIVATE(zdtime_moy)
+
+      LOGICAL, SAVE :: vars_defined = .FALSE. ! ug PAS THREADPRIVATE ET C'EST NORMAL
 
   TYPE ctrl_out
